unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  StdCtrls, jpeg, ExtCtrls, ShellAPI;

type
  TAboutFrm = class(TForm)
    Shape1: TShape;
    Image1: TImage;
    LblClose: TLabel;
    Image2: TImage;
    LblName: TLabel;
    LdlAutor: TLabel;
    LblWebSite: TLabel;
    LblWedPage: TLabel;
    LdlSite: TLabel;
    LblCopyright: TLabel;
    LdlPage: TLabel;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure LdlClick(Sender: TObject);
    procedure MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
    procedure MouseLeave(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutFrm: TAboutFrm;

implementation

{$R *.dfm}

procedure TAboutFrm.FormCreate(Sender: TObject);
begin
  LblCopyright.Caption:=#169+' Elsetrue - software 2007-2008.';
end;

procedure TAboutFrm.FormKeyPress(Sender: TObject; var Key: Char);
begin
  if Ord(Key) = 27 then Close;
end;

procedure TAboutFrm.LdlClick(Sender: TObject);
begin

  if (Sender as TLabel).Name = LblClose.Name then Close;

  if (Sender as TLabel).Name <> LblClose.Name then
  ShellExecute(Handle,Nil,PChar((Sender as TLabel).Caption),Nil,Nil,SW_NORMAL);

end;

procedure TAboutFrm.MouseLeave(Sender: TObject);
begin
  (Sender as TLabel).Cursor     := crDefault;
  (Sender as TLabel).Font.Color := $FF0000;
end;

procedure TAboutFrm.MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  (Sender as TLabel).Cursor     := crHandPoint;
  (Sender as TLabel).Font.Color := clGreen; //$FF46C2
end;

end.
